<?php 

/**
----> Custom Pricing Box Widget
**/

add_action( 'widgets_init', 'load_pricing_box_widget' );

function load_pricing_box_widget() {
	register_widget( 'Price_Box' );
}


class Price_Box extends WP_Widget {

	function Price_Box() {
		$widget_ops = array( 'classname' => 'plan', 'description' => __('Custom Pricing box widget - for the Home-Page only!', 'example') );

		$control_ops = array( 'width' => 300, 'height' => 550, 'id_base' => 'pricing-box' );

		$this->WP_Widget( 'pricing-box', __('Bluz Themes - Pricing Box', 'example'), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title']);
		$content = $instance['content'];
		$price = $instance['price'];
		$longer = $instance['longer'];
		$per = $instance['per'];
		$button_link = $instance['button_link'];
		$button_color = $instance['button_color'];

		echo $before_widget;
			
		if ( $title )
			echo $before_title . $title . $after_title;
		
		echo '<div class="content">';
		if ( $longer ) { echo '<div class="price" style="font-size:20px;">'; } else {echo '<div class="price">';}
		        
                 echo '<div class="inside">';
					echo $price.'<br><span>'.$per.'</span>';
				 echo '</div>';
					echo '<a href="'.$button_link.'" class="sml-btn '.$button_color.'">Order Now!</a>';
			echo '</div>';
		
		
		if ( $content )
			printf( '%1$s' , $content );

		

		echo '</div>';
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['content'] = stripslashes( $new_instance['content'] );
		$instance['price'] = strip_tags( $new_instance['price'] );
		$instance['longer'] = $new_instance['longer'];
		$instance['per'] = strip_tags($new_instance['per']);
		$instance['button_link'] = strip_tags($new_instance['button_link']);
		$instance['button_color'] = $new_instance['button_color'];

		return $instance;
	}

	function form( $instance ) {

		$defaults = array( 'title' => __('Pricing Box Title', 'example'), 'content' => __('This is our pricing box content, you can use html to style it', 'example'), 'button_color' => __('red', 'example'));
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Pricing Box Title:', 'hybrid'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:97%;" class="widefat" />
		</p>
        

		<!-- Your Content: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'content' ); ?>"><?php _e('Content (You can use HTML):', 'example'); ?></label>
			<textarea id="<?php echo $this->get_field_id( 'content' ); ?>" name="<?php echo $this->get_field_name( 'content' ); ?>" type="textarea" cols="12" rows="12" class="widefat" ><?php echo $instance['content']; ?></textarea>
		</p>
        
        <!-- Widget Price: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'price' ); ?>"><?php _e('Price:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'price' ); ?>" name="<?php echo $this->get_field_name( 'price' ); ?>" value="<?php echo $instance['price']; ?>" style="width:97%;" class="widefat" />
		</p>
        
        <!-- Widget Per: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'per' ); ?>"><?php _e('Price Per... <em>(examples: /month, /year, /day)</em>:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'per' ); ?>" name="<?php echo $this->get_field_name( 'per' ); ?>" value="<?php echo $instance['per']; ?>" style="width:97%;" class="widefat" />
		</p>

		<!-- Price Longer? Checkbox -->
		<p>
			<input class="checkbox" type="checkbox" <?php if( $instance['longer'] == true ) { ?>checked="checked"<?php } ?> id="<?php echo $this->get_field_id( 'longer' ); ?>" name="<?php echo $this->get_field_name( 'longer' ); ?>" /> 
			<label for="<?php echo $this->get_field_id( 'longer' ); ?>"><?php _e('<strong>Check this if your price is longer the 2 Didgets</strong>', 'example'); ?></label>
		</p>
        
        <!-- Widget Button Link: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'button_link' ); ?>"><?php _e('The url you want the "order now!" button to link to:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'button_link' ); ?>" name="<?php echo $this->get_field_name( 'button_link' ); ?>" value="<?php echo $instance['button_link']; ?>" style="width:97%;" class="widefat" />
		</p>
        
        <!-- Button Color: Select Box -->
		<p>
			<label for="<?php echo $this->get_field_id( 'button_color' ); ?>"><?php _e('Choose a color for the "order now!" button <em>(default color is red)</em>:', 'example'); ?></label> 
			<select id="<?php echo $this->get_field_id( 'button_color' ); ?>" name="<?php echo $this->get_field_name( 'button_color' ); ?>" class="widefat" style="width:100%;">
				<option <?php if ( 'red' == $instance['button_color'] ) echo 'selected="selected"'; ?>>red</option>
				<option <?php if ( 'orange' == $instance['button_color'] ) echo 'selected="selected"'; ?>>orange</option>
				<option <?php if ( 'green' == $instance['button_color'] ) echo 'selected="selected"'; ?>>green</option>
				<option <?php if ( 'blue' == $instance['button_color'] ) echo 'selected="selected"'; ?>>blue</option>
				<option <?php if ( 'grey' == $instance['button_color'] ) echo 'selected="selected"'; ?>>grey</option>
				<option <?php if ( 'black' == $instance['button_color'] ) echo 'selected="selected"'; ?>>black</option>
				<option <?php if ( 'special' == $instance['button_color'] ) echo 'selected="selected"'; ?>>special</option>
			</select>
		</p>

	<?php
	}
}

/**
----> Custom Home-page service Widget
**/

add_action( 'widgets_init', 'load_home_service_widget' );

function load_home_service_widget() {
	register_widget( 'Home_Service' );
}


class Home_Service extends WP_Widget {

	function Home_Service() {
		$widget_ops = array( 'classname' => '', 'description' => __('Custom Home-Page Service Item - only for the Home-Page Services Sidebar!', 'example') );

		$control_ops = array( 'width' => 300, 'height' => 550, 'id_base' => 'service' );

		$this->WP_Widget( 'service', __('Bluz Themes - Home-Page Service Item', 'example'), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );

		$content = $instance['content'];
		$icon = $instance['icon'];

		echo $before_widget;
		if ( $icon )
			printf( '<img src="'.get_template_directory_uri() .'/images/services-icons/%1$s.png" class="icon" />' , $icon );
		if ( $content )
			printf( '%1$s' , $content );
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['content'] = stripslashes( $new_instance['content'] );
		$instance['icon'] = $new_instance['icon'];

		return $instance;
	}

	function form( $instance ) {

		$defaults = array( 'content' => __('content here looks best with something about 70-80 chars max.', 'example'), 'icon' => __('Choose an Icon...', 'example'));
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
        
		<!-- Icon: Select Box -->
		<p>
			<label for="<?php echo $this->get_field_id( 'icon' ); ?>"><?php _e('Choose the icon you want to use:', 'example'); ?></label> 
			<select id="<?php echo $this->get_field_id( 'icon' ); ?>" name="<?php echo $this->get_field_name( 'icon' ); ?>" class="widefat" style="width:100%;">
				<option <?php if ( 'Choose an Icon...' == $instance['icon'] ) echo 'selected="selected"'; ?> style="padding:4px 0 4px 25px;">Choose an Icon...</option>
				<option <?php if ( 'accept' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/accept.png') no-repeat left center; padding:4px 0 4px 25px;">accept</option>
				<option <?php if ( 'box' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/box.png') no-repeat left center; padding:4px 0 4px 25px;">box</option>
				<option <?php if ( 'cart' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/cart.png') no-repeat left center; padding:4px 0 4px 25px;">cart</option>
				<option <?php if ( 'chart' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/chart.png') no-repeat left center; padding:4px 0 4px 25px;">chart</option>
				<option <?php if ( 'coins' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/coins.png') no-repeat left center; padding:4px 0 4px 25px;">coins</option>
				<option <?php if ( 'color' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/color.png') no-repeat left center; padding:4px 0 4px 25px;">color</option>
                <option <?php if ( 'compass' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/compass.png') no-repeat left center; padding:4px 0 4px 25px;">compass</option>
				<option <?php if ( 'creditcards' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/creditcards.png') no-repeat left center; padding:4px 0 4px 25px;">creditcards</option>
				<option <?php if ( 'email' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/email.png') no-repeat left center; padding:4px 0 4px 25px;">email</option>
				<option <?php if ( 'events' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/events.png') no-repeat left center; padding:4px 0 4px 25px;">events</option>
				<option <?php if ( 'file_manger' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/file_manager.png') no-repeat left center; padding:4px 0 4px 25px;">file_maneger</option>
				<option <?php if ( 'gear' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/gear.png') no-repeat left center; padding:4px 0 4px 25px;">gear</option>
				<option <?php if ( 'global' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/global.png') no-repeat left center; padding:4px 0 4px 25px;">global</option>
                <option <?php if ( 'green' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/green.png') no-repeat left center; padding:4px 0 4px 25px;">green</option>
				<option <?php if ( 'group' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/group.png') no-repeat left center; padding:4px 0 4px 25px;">group</option>
				<option <?php if ( 'hat' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/hat.png') no-repeat left center; padding:4px 0 4px 25px;">hat</option>
				<option <?php if ( 'headphone' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/headphone.png') no-repeat left center; padding:4px 0 4px 25px;">headphone</option>
				<option <?php if ( 'heart' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/heart.png') no-repeat left center; padding:4px 0 4px 25px;">heart</option>
				<option <?php if ( 'cms_box' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/cms_box.png') no-repeat left center; padding:4px 0 4px 25px;">cms_box</option>
				<option <?php if ( 'iphone' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/iphone.png') no-repeat left center; padding:4px 0 4px 25px;">iphone</option>
                <option <?php if ( 'lightbolb' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/lightbulb.png') no-repeat left center; padding:4px 0 4px 25px;">lightbulb</option>
                <option <?php if ( 'lightning' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/lightning.png') no-repeat left center; padding:4px 0 4px 25px;">lightning</option>
				<option <?php if ( 'lock' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/lock.png') no-repeat left center; padding:4px 0 4px 25px;">lock</option>
				<option <?php if ( 'mailbox' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/mail_box.png') no-repeat left center; padding:4px 0 4px 25px;">mailbox</option>
				<option <?php if ( 'monitor' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/monitor.png') no-repeat left center; padding:4px 0 4px 25px;">monitor</option>
				<option <?php if ( 'server' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/server.png') no-repeat left center; padding:4px 0 4px 25px;">server</option>
				<option <?php if ( 'shielf' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/shield.png') no-repeat left center; padding:4px 0 4px 25px;">shield</option>
                <option <?php if ( 'support' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/support.png') no-repeat left center; padding:4px 0 4px 25px;">support</option>
				<option <?php if ( 'time' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/time.png') no-repeat left center; padding:4px 0 4px 25px;">time</option>
				<option <?php if ( 'world' == $instance['icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/mini-services/world.png') no-repeat left center; padding:4px 0 4px 25px;">world</option>
			</select>
		</p>
        
		<!-- Your Content: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'content' ); ?>"><?php _e('Content (You can use HTML):', 'example'); ?></label>
			<textarea id="<?php echo $this->get_field_id( 'content' ); ?>" name="<?php echo $this->get_field_name( 'content' ); ?>" type="textarea" cols="12" rows="12" class="widefat" ><?php echo $instance['content']; ?></textarea>
		</p>
        

	<?php
	}
}

/**
----> Custom Social Footer Widget
**/

add_action( 'widgets_init', 'load_social_link_widget' );

function load_social_link_widget() {
	register_widget( 'Social_Link' );
}


class Social_Link extends WP_Widget {

	function Social_Link() {
		$widget_ops = array( 'classname' => '', 'description' => __('Custom widget that displays a social icon of you choise - only for the Footer-Social-Links Sidebar!', 'example') );

		$control_ops = array( 'width' => 300, 'height' => 550, 'id_base' => 'social-link' );

		$this->WP_Widget( 'social-link', __('Bluz Themes - Bottom Footer Social Link', 'example'), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );

		$social_icon = $instance['social_icon'];
		$tooltip = $instance['tooltip'];
		$social_link = $instance['social_link'];
		$target = $instance['target'];


		echo $before_widget;
		if ( $social_link )
			echo '<a href="'.$social_link.'" rel="tipsy" title="'.$tooltip.'" target="'.$target.'">';
		if ( $social_icon )
			printf( '<img src="'.get_template_directory_uri() .'/images/social-icons/%1$s.png" class="icon" />' , $social_icon );
		echo '</a>';
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['social_icon'] = $new_instance['social_icon'];
		$instance['tooltip'] = strip_tags( $new_instance['tooltip'] );
		$instance['social_link'] = stripslashes( $new_instance['social_link'] );
		$instance['target'] = $new_instance['target'];

		return $instance;
	}

	function form( $instance ) {

		$defaults = array( 'target' => __('_blank', 'example'), 'tooltip' => __('Default tooltip Title', 'example'), 'social_icon' => __('Choose an Icon...', 'example'));
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
        
		<!-- Icon: Select Box -->
		<p>
			<label for="<?php echo $this->get_field_id( 'social_icon' ); ?>"><?php _e('Choose the icon you want to use:', 'example'); ?></label> 
			<select id="<?php echo $this->get_field_id( 'social_icon' ); ?>" name="<?php echo $this->get_field_name( 'social_icon' ); ?>" class="widefat" style="width:100%;">
				<option <?php if ( 'Choose an Icon...' == $instance['social_icon'] ) echo 'selected="selected"'; ?>>Choose an Icon...</option>
				<option <?php if ( 'email' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/email.png') no-repeat left center; padding:4px 0 4px 25px;">email</option>
				<option <?php if ( 'facebook' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/facebook.png') no-repeat left center; padding:4px 0 4px 25px;">facebook</option>
				<option <?php if ( 'flickr' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/flickr.png') no-repeat left center; padding:4px 0 4px 25px;">flickr</option>
				<option <?php if ( 'lastfm' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/lastfm.png') no-repeat left center; padding:4px 0 4px 25px;">lastfm</option>
				<option <?php if ( 'linkedin' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/linkedin.png') no-repeat left center; padding:4px 0 4px 25px;">linkedin</option>
				<option <?php if ( 'myspace' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/myspace.png') no-repeat left center; padding:4px 0 4px 25px;">myspace</option>
                <option <?php if ( 'rss' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/rss.png') no-repeat left center; padding:4px 0 4px 25px;">rss</option>
                <option <?php if ( 'skype' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/skype.png') no-repeat left center; padding:4px 0 4px 25px;">skype</option>
				<option <?php if ( 'stumbleupon' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/stumbleupon.png') no-repeat left center; padding:4px 0 4px 25px;">stumbleupon</option>
				<option <?php if ( 'twitter' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/twitter.png') no-repeat left center; padding:4px 0 4px 25px;">twitter</option>
                <option <?php if ( 'youtube' == $instance['social_icon'] ) echo 'selected="selected"'; ?> style="background:url('<?php bloginfo('template_directory'); ?>/images/social-icons/youtube.png') no-repeat left center; padding:4px 0 4px 25px;">youtube</option>
			</select>
		</p>
        
        <!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'tooltip' ); ?>"><?php _e('Enter the the title for the icon tooltip:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'tooltip' ); ?>" name="<?php echo $this->get_field_name( 'tooltip' ); ?>" value="<?php echo $instance['tooltip']; ?>" style="width:97%;" class="widefat" />
		</p>
        
		<!-- Widget Link: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'social_link' ); ?>"><?php _e('Enter the url you want your icon to link to:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'social_link' ); ?>" name="<?php echo $this->get_field_name( 'social_link' ); ?>" value="<?php echo $instance['social_link']; ?>" style="width:97%;" class="widefat" />
		</p>
        
        <!-- Target: Select Box -->
		<p>
			<label for="<?php echo $this->get_field_id( 'target' ); ?>"><?php _e('Choose the link target (default is "_blank"):', 'example'); ?></label> 
			<select id="<?php echo $this->get_field_id( 'target' ); ?>" name="<?php echo $this->get_field_name( 'target' ); ?>" class="widefat" style="width:100%;">
				<option <?php if ( '_blank' == $instance['target'] ) echo 'selected="selected"'; ?>>_blank</option>
				<option <?php if ( '_self' == $instance['target'] ) echo 'selected="selected"'; ?>>_self</option>
			</select>
		</p>
        

	<?php
	}
}

/**
----> Custom Recent Posts Widget
**/

add_action( 'widgets_init', 'load_recent_posts_widget' );

function load_recent_posts_widget() {
	register_widget( 'Bluz_Recent_Posts' );
}

class Bluz_Recent_Posts extends WP_Widget {

	function Bluz_Recent_Posts() {

		$widget_ops = array( 'classname' => 'latest-posts', 'description' => __('Custom Latest Posts Widget', 'example') );

		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'bluz-recent-posts' );

		$this->WP_Widget( 'bluz-recent-posts', __('Bluz Themes - Recent Posts', 'example'), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		$categos = $instance['categos'];
		$postsnum = $instance['postsnum'];
		
		echo $before_widget;

		if ( $title )
			echo $before_title . $title . $after_title;

		if ( $postsnum )
			$numofposts = $postsnum;

		$exclude_from_blog = preg_replace("!(\d)+!","-${0}$0", $categos);
		$posts = get_posts('cat='.$exclude_from_blog.'&numberposts='.$numofposts.'&offset=0');
		
			if($posts){ ?>
		
	<ul>
	<?php foreach($posts as $post){
			$post_title = stripslashes($post->post_title);
			$permalink = get_permalink($post->ID);
			?>		
            <li> 
                <a href="<?php echo $permalink; ?>"><?php echo $post_title; ?></a>
            </li>
		<?php } ?>
</ul>
	<?php }	

		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['categos'] = $new_instance['categos'];
		$instance['postsnum'] = $new_instance['postsnum'];

		return $instance;
	}

	function form( $instance ) {

		$defaults = array( 'title' => __('Recent Posts', 'example'), 'postsnum' => '3');
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'hybrid'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:97%;" class="widefat" />
		</p>
        
        <!-- Your cats: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'categos' ); ?>"><?php _e('Enter Categories IDs to exclude from the widget <em>(example: 1,2,3,4)</em>:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'categos' ); ?>" name="<?php echo $this->get_field_name( 'categos' ); ?>" value="<?php echo $instance['categos']; ?>" style="width:97%;" class="widefat" />
		</p>
        
        <!-- Number of posts: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'postsnum' ); ?>"><?php _e('Enter number of posts to display in the wiget:', 'example'); ?></label>
			<input id="<?php echo $this->get_field_id( 'postsnum' ); ?>" name="<?php echo $this->get_field_name( 'postsnum' ); ?>" value="<?php echo $instance['postsnum']; ?>" style="width:97%;" class="widefat" />
		</p>
        


	<?php
	}
}

?>