<?php
/*******************************************************
**********        ADD CUSTOM PAGE OPTIONS       ********
*******************************************************/

$new_meta_boxes = 
array(
"tagline" => array(
"name" => "pagetitle",
"std" => "",
"type" => "text",
"title" => "Page Title",
"description" => "Enter the main title for this page."),

"gallery" => array(
"name" => "gallery",
"std" => "",
"type" => "select",
"title" => "Gallery Page Category",
"options" => $site_cats,
"description" => "<strong>Only if this is a gallery page,</strong> Please choose the category of posts that will populate this gallery page.")
);

function new_meta_boxes() {
global $post, $new_meta_boxes;

foreach($new_meta_boxes as $meta_box) {
$meta_box_value = get_post_meta($post->ID, $meta_box['name'].'_value', true);

if($meta_box_value == "") {
$meta_box_value = $meta_box['std'];
}

echo'<input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';

echo'<h4>'.$meta_box['title'].'</h4>';

switch ($meta_box['type']) {
    case "text":
        echo'<input type="text" name="'.$meta_box['name'].'_value" value="'.$meta_box_value.'" size="55" /><br />';
        break;
    case "select": 
    
        echo '<select name="'.$meta_box['name'].'_value">';
		foreach ($meta_box['options'] as $option) { 
        echo '<option ';
		if ($meta_box_value == htmlspecialchars_decode($option)) { echo ' selected="selected"'; }
		echo '>';
		echo htmlspecialchars_decode($option);
        echo '</option>';
        } 
        echo '</select>';
        
        
        break;
}

echo'<p><label for="'.$meta_box['name'].'_value">'.$meta_box['description'].'</label></p>';
}
}

function create_meta_box() {
global $theme_name;
if ( function_exists('add_meta_box') ) {
add_meta_box( 'new-meta-boxes', 'Bluz Themes - Page Options', 'new_meta_boxes', 'page', 'normal', 'high' );
}
}

function save_postdata( $post_id ) {
global $post, $new_meta_boxes;

foreach($new_meta_boxes as $meta_box) {
// Verify
if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) )) {
return $post_id;
}

if ( 'page' == $_POST['post_type'] ) {
if ( !current_user_can( 'edit_page', $post_id ))
return $post_id;
} else {
if ( !current_user_can( 'edit_post', $post_id ))
return $post_id;
}

$data = $_POST[$meta_box['name'].'_value'];

if(get_post_meta($post_id, htmlspecialchars_decode($meta_box['name'].'_value')) == "")
add_post_meta($post_id, htmlspecialchars_decode($meta_box['name'].'_value'), $data, true);
elseif($data != get_post_meta($post_id, htmlspecialchars_decode($meta_box['name'].'_value'), true))
update_post_meta($post_id, htmlspecialchars_decode($meta_box['name'].'_value'), $data);
elseif($data == "")
delete_post_meta($post_id, htmlspecialchars_decode($meta_box['name'].'_value'), get_post_meta($post_id, htmlspecialchars_decode($meta_box['name'].'_value'), true));
}
}

   add_action('admin_menu', 'create_meta_box');  
   add_action('save_post', 'save_postdata');  

/*******************************************************
**********     END ADD CUSTOM PAGE OPTIONS     *********
*******************************************************/

/*******************************************************
**********        ADD CUSTOM POST OPTIONS       ********
*******************************************************/

$new_meta_boxes_posts = 
array(
"post_image" => array(
"name" => "post_image",
"std" => "",
"title" => "Blog Post Image / Gallery Post Image / Slider Post Image",
"description" => "Enter the path to the post image.<br /> <strong><u>For Blog Posts:</u></strong> The image size should be 635px wide and 175px high or bigger. <br/>
<strong><u>For Gallery Posts:</u></strong> The image size should be 214px wide and 150px high or bigger. <br/> <strong><u>For Slider Posts:</u></strong> The image size should be 200px wide and 200px high or bigger."),

);

function new_meta_boxes_posts() {
global $post, $new_meta_boxes_posts;

foreach($new_meta_boxes_posts as $meta_box) {
$meta_box_value = get_post_meta($post->ID, $meta_box['name'].'_value', true);

if($meta_box_value == "")
$meta_box_value = $meta_box['std'];

echo'<input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';

echo'<h4>'.$meta_box['title'].'</h4>';

echo'<input type="text" name="'.$meta_box['name'].'_value" value="'.$meta_box_value.'" size="55" /><br />';

echo'<p><label for="'.$meta_box['name'].'_value">'.$meta_box['description'].'</label></p>';
}
}

function create_meta_box_posts() {
global $theme_name;
if ( function_exists('add_meta_box') ) {
add_meta_box( 'new-meta-boxes-posts', 'Bluz Themes - Post Options', 'new_meta_boxes_posts', 'post', 'normal', 'high' );
}
}

function save_postdata_posts( $post_id ) {
global $post, $new_meta_boxes_posts;

foreach($new_meta_boxes_posts as $meta_box) {
// Verify
if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) )) {
return $post_id;
}

if ( 'page' == $_POST['post_type'] ) {
if ( !current_user_can( 'edit_page', $post_id ))
return $post_id;
} else {
if ( !current_user_can( 'edit_post', $post_id ))
return $post_id;
}

$data = $_POST[$meta_box['name'].'_value'];

if(get_post_meta($post_id, $meta_box['name'].'_value') == "")
add_post_meta($post_id, $meta_box['name'].'_value', $data, true);
elseif($data != get_post_meta($post_id, $meta_box['name'].'_value', true))
update_post_meta($post_id, $meta_box['name'].'_value', $data);
elseif($data == "")
delete_post_meta($post_id, $meta_box['name'].'_value', get_post_meta($post_id, $meta_box['name'].'_value', true));
}
}

   add_action('admin_menu', 'create_meta_box_posts');  
   add_action('save_post', 'save_postdata_posts');  

/*******************************************************
**********     END ADD CUSTOM POST OPTIONS     *********
*******************************************************/
?>